Package classycle.renderer

# Interface AtomicVertexRenderer

All Known Implementing Classes:
  `PlainClassRenderer`, `TemplateBasedClassRenderer`, `XMLAtomicVertexRenderer`, `XMLClassRenderer`, `XMLPackageRenderer`

public interface AtomicVertexRenderer
Renderer for `AtomicVertices`.

Author:
  Franz-Josef Elmer

## Method Summary

Modifier and Type
Method
Description
`String`
`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renders an `AtomicVertex`.

## Method Details

### render

String render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)
Renders an `AtomicVertex`.

Parameters:
  `vertex` - Vertex to be rendered.
  `cycle` - Cycle to which `vertex` belongs. Will be `null` if it does not belong to a cycle (i.e. a strong component with more than one element).
  `layerIndex` - Index of the layer to which `vertex` belongs.